Subject: Re: Gitweb indentation wrong in Internet Explorer

From: Ralf Baechle <[email-masked]>
Date: Wed, 11 Oct 2006 19:15:26 +0100

On Wed, Oct 11, 2006 at 07:47:24PM +0200, Jakub Narebski wrote:

> >> When I use it (and I believe I've seen this on my laptop as well as my
> >> workstation) all left-hand margin whitespace is collapsed to nothingness.
> >> Once can still parse the code, but it's harder with no indentations.
> > 
> > A screenshot from a Windows laptop to illustrate the problem is at
> > http://www.linux-mips.org/~ralf/gitweb.png.  It shows the code was
> > preformatted correctly which seems to be an IE bug but the following patch
> > seems to work around it.
> 
> Which version of gitweb? We have removed s/ /&nbsp;/g; in esc_html
> subroutine in favor of using "white-space: pre;" in CSS some time ago,
> and we have added escaping FORM FEED and ESCAPE characters.

Anything since since at least June 19 seems affected, including yesterday's
version.

> Could you send git patches, by the way? Or at least '-p' diffs?

Nope.  I'm just forwarding this.

  Ralf